public inbox for network@lists.ipfire.org
 help / color / mirror / Atom feed
* [network] [PATCH] pppoe-server: Check for valid network
@ 2015-10-15 13:49 Stefan Schantl
  2015-10-15 14:50 ` Michael Tremer
  0 siblings, 1 reply; 3+ messages in thread
From: Stefan Schantl @ 2015-10-15 13:49 UTC (permalink / raw)
  To: network

[-- Attachment #1: Type: text/plain, Size: 775 bytes --]

The pppoe-server did not proper check if a valid
IPv4 or IPv6 network has been specified.

Signed-off-by: Stefan Schantl <stefan.schantl(a)ipfire.org>
---
 src/hooks/configs/pppoe-server | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/hooks/configs/pppoe-server b/src/hooks/configs/pppoe-server
index 1ef3ba9..ac9b90a 100644
--- a/src/hooks/configs/pppoe-server
+++ b/src/hooks/configs/pppoe-server
@@ -42,6 +42,12 @@ hook_check_config_settings() {
 	assert isset SUBNET
 	assert isset MAX_SESSIONS
 
+	# Check input.
+	if ! ip_is_network "${SUBNET}"; then
+		log ERROR "Invalid subnet. Please provide a valid IPv6 or IPv4 network."
+		return ${EXIT_ERROR}
+	fi
+
 	local server
 	for server in ${DNS_SERVERS}; do
 		assert ipv4_is_valid "${server}"
-- 
2.4.3


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2015-11-06 15:00 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2015-10-15 13:49 [network] [PATCH] pppoe-server: Check for valid network Stefan Schantl
2015-10-15 14:50 ` Michael Tremer
2015-11-06 15:00   ` Michael Tremer

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox